=== debian/changelog ===
astropy (3.0-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Use dh_python3-ply to generate ply dependency

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Feb 2018 13:12:36 +0100

astropy (3.0-2) unstable; urgency=medium

  * Mark all known test failures as xfail
  * Add astropy examples
  * Push debhelper compat to 11
  * Remove unused lintian-overrides

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Feb 2018 11:08:09 +0100

astropy (3.0-1) unstable; urgency=low

  * Create a new source package for the Python 3 version
  * New upstream version 3.0. Rediff patches
  * Update VCS fields to use salsa.d.o
  * Don't remove generic_lextab.py and generic_parsetab.py
  * Add pytest-astropy build dependencies

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Feb 2018 14:36:43 +0100

python-astropy (2.0.3-1) unstable; urgency=low

  * New upstream version 2.0.3
  * Rediff patches
  * Remove http proxy from d/rules to allow localhost connections
  * Use the packaged MathJax

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Dec 2017 11:35:47 +0100

python-astropy (2.0.2-2) unstable; urgency=medium

  * Push Standards-Version to 4.1.2. Change remaining URLs to use https
  * Otherwise unchanged upload for python3.6 transition. Closes: #883403

 -- Ole Streicher <olebole@debian.org>  Tue, 05 Dec 2017 11:16:34 +0100

python-astropy (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Rediff patches
  * Push Standards-Version to 4.1.0. No changes needed.
  * Shorten message to compare for recent h5py.
  * Rebuiold against current Python versions. Closes: #875317

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Sep 2017 20:39:28 +0200

python-astropy (2.0.1-2) unstable; urgency=medium

  * Changing parametrized tests pytest 3.2.0 compatible
  * Change astropy home URL to https
  * Push standards-version to 4.0.1. No changes needed.
  * Adjust several dependency versions
  * Reimplement reportinfo() in doctestplus extension (Closes: #871995)

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Aug 2017 09:53:02 +0200

python-astropy (2.0.1-1) unstable; urgency=low

  * Change upstream GPG key to Brigitta Sipocz
  * New upstream version 2.0.1

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Jul 2017 09:36:34 +0200

python-astropy (2.0-2) unstable; urgency=low

  * Re-disable test_socketblocker (see upstream #4193).

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Jul 2017 09:19:57 +0200

python-astropy (2.0-1) unstable; urgency=low

  * New upstream version 2.0. Switch back to unstable
  * Rediff patches
  * Re-enable sphinx build
  * Update d/changelog. Change copyright of debian files to BSD-3-Clause

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2017 10:21:30 +0200

python-astropy (2.0~rc1-1) experimental; urgency=low

  * New upstream release candidate 2.0~rc1
  * Rediff patches
  * Temporarily re-enable almost all test to see if they are fixed
  * Temporarily disable sphinx build

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Jun 2017 08:38:02 +0200

python-astropy (1.3.3-1) unstable; urgency=low

  [ Leo Singer ]
  * Enable Matplotlib tests
  * Add build dependency on h5py to enable related unit tests
  * Qualify dependency on pytest >= 2.7.0 because the unit tests
    make use of parameterize ids as a callable, a feature that was
    added in that version. See also:
    https://docs.pytest.org/en/latest/changelog.html#id156

  [ Ole Streicher ]
  * New upstream version 1.3.3
  * Rediff patches
  * Push Standards-Version to 4.0.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Jun 2017 20:58:21 +0200

python-astropy (1.3-8) unstable; urgency=medium

  * Switch to unstable. Closes: #852550
  * Revert unrelated "Improved detection of ascii fast_reader in non-fast
    parsers"

 -- Ole Streicher <olebole@debian.org>  Wed, 25 Jan 2017 16:17:26 +0100

python-astropy (1.3-8~exp2) experimental; urgency=medium

  * Fix pytest section, finally re-enabling doctests

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Jan 2017 17:27:30 +0100

python-astropy (1.3-8~exp1) experimental; urgency=medium

  * Switch to experimental for some tests
  * Try to fix doctest failures
  * Improved detection of ascii fast_reader in non-fast parsers

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Jan 2017 09:57:22 +0100

python-astropy (1.3-7) unstable; urgency=medium

  * Allow stderr in all tests

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Jan 2017 14:35:17 +0100

python-astropy (1.3-6) unstable; urgency=medium

  * Override missing-build-dependency-for-dh_-command
  * Add python-astropy-affiliated to suggestions
  * Add pytest to package dependencies
  * Fix default value for remote_data option. Closes: #849501
  * Remove wcslib 4.24 compatibility property. Closes: #844525

 -- Ole Streicher <olebole@debian.org>  Sat, 14 Jan 2017 11:28:01 +0100

python-astropy (1.3-5) unstable; urgency=medium

  * Manually add dependencies for external packages

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Jan 2017 22:51:46 +0100

python-astropy (1.3-4) unstable; urgency=medium

  * Mark doc package as Multi-Arch: foreign as suggested by Multiarch hinter
  * Remove wcsaxes suggestions since this is now part of astropy
  * Use external modules instead of convenience copies. Closes: #849502
  * Temporarily disable doctests (not working with pytest 3.0.5)
  * Remove explicite dh_strip_nondeterminism

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Jan 2017 12:17:23 +0100

python-astropy (1.3-3) unstable; urgency=medium

  * Ensure NUMPY_LT_1_12 works for beta prerelease. Closes: #849271

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Dec 2016 09:52:44 +0100

python-astropy (1.3-2) unstable; urgency=low

  * Disable TestDisplayWorldCoordinate.test_cube_coords to fix FTBFS on MIPS

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Dec 2016 17:58:24 +0100

python-astropy (1.3-1) unstable; urgency=low

  * New upstream version 1.3
  * Switch back to unstable
  * Rediff patches


