## astropy 3.0.4

=== debian/changelog ===
astropy (3.0.4-3) unstable; urgency=medium

  * Unrestrict last, forgotten s390x test xfail

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Aug 2018 21:23:14 +0200

astropy (3.0.4-2) unstable; urgency=medium

  * Mark failures on s390x as not strict: they succeed on Ubuntu

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Aug 2018 10:31:38 +0200

astropy (3.0.4-1) unstable; urgency=low

  * New upstream version 3.0.4. Rediff patches
  * Unlimit max Python version
  * Push Standards-Version to 4.2.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Sat, 04 Aug 2018 07:25:55 +0800

astropy (3.0.3-5) unstable; urgency=low

  * Disable tests that fail on s390x
  * Remove remote content from whatsnew page

 -- Ole Streicher <olebole@debian.org>  Tue, 31 Jul 2018 19:50:02 +0800

astropy (3.0.3-4) unstable; urgency=low

  * Temporarily limit Python version to <3.7
  * Push Standards-Version to 4.1.5. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 31 Jul 2018 14:53:55 +0800

astropy (3.0.3-3) unstable; urgency=low

  * Disable more write modes in CI test

 -- Ole Streicher <olebole@debian.org>  Mon, 04 Jun 2018 10:26:51 +0200

astropy (3.0.3-2) unstable; urgency=low

  * Disable known CI test failure

 -- Ole Streicher <olebole@debian.org>  Sat, 02 Jun 2018 06:40:03 -0700

astropy (3.0.3-1) unstable; urgency=low

  * New upstream version 3.0.3. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Jun 2018 16:29:03 -0700

astropy (3.0.2-2) unstable; urgency=low

  * Explicitly generate PLY files
  * Disable float128 test due to numpy representation bug

 -- Ole Streicher <olebole@debian.org>  Thu, 17 May 2018 13:20:41 +0200

astropy (3.0.2-1) unstable; urgency=medium

  * Put use_system_libs into setup.cfg. Closes: #898475
  * Cleanup all ply generated files
  * New upstream version 3.0.2. Rediff patches
  * Push Standards-Version to 4.1.4. No changes needed.
  * Remove outdated X-Python3-Version

 -- Ole Streicher <olebole@debian.org>  Tue, 15 May 2018 11:08:40 +0200
