=== debian/control ===
--- 
+++ 
@@ -33,11 +33,11 @@
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.5
 
 Package: python3-astropy
 Architecture: any
