=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 # Use agg Matplotlib backend for testing on headless machines.
 export MPLBACKEND=agg
 
-export PYBUILD_BUILD_ARGS=--use-system-libraries
+export LC_ALL=C.UTF-8
 
-export LC_ALL=C.UTF-8
+# Generate PLY files
+export PYBUILD_AFTER_BUILD=cd {build_dir}; python{version} -c 'import astropy.coordinates; astropy.coordinates.angle_utilities.parse_angle("0°"); import astropy.units.format; astropy.units.format.CDS.parse("m/s"); astropy.units.format.Generic.parse("m"); astropy.units.format.OGIP.parse("m/s")'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -39,10 +40,5 @@
 	dh_python3
 	dh_python3-ply $$(find $(PYBUILD_DESTDIR_python3) -name '*tab.py')
 
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	python3 setup.py test -vv --args "-vv --mpl"
-endif
-
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xinvalid.dat.gz
