## astropy 3.0.5

=== debian/changelog ===
astropy (3.0.5-1) unstable; urgency=medium

  * Update reference to astropy paper 2
  * Set minimal version of numpy to 1.10
  * Updates for wcslib 6
  * New upstream version 3.0.5. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Nov 2018 20:52:24 +0100
