=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-jinja2,
                python3-matplotlib,
                python3-nose,
-               python3-numpy (>= 1:1.7),
+               python3-numpy (>= 1:1.10),
                python3-ply (>= 3.5),
                python3-pytest (>= 3.1),
                python3-pytest-astropy,
