## astropy 3.1.1

=== debian/changelog ===
astropy (3.1.1-1build1) disco; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jan 2019 14:13:29 +0100

astropy (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1. Rediff patches
  * Adjust build dependency versions

 -- Ole Streicher <olebole@debian.org>  Fri, 11 Jan 2019 09:47:01 +0100

astropy (3.1-3) unstable; urgency=medium

  * Spellfix: distutil*s*

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Dec 2018 20:54:00 +0100

astropy (3.1-2) unstable; urgency=medium

  * Add python3-distutil to requirements

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Dec 2018 00:11:39 +0100

astropy (3.1-1) unstable; urgency=medium

  * New upstream version 3.1. Rediff patches
  * Drop Disable-tests-that-fail-on-s390x.patch: Fixed in scipy
  * Drop Mark-all-known-test-failures-as-xfail.patch: Fixed in numpy
  * Push Standards-Version to 4.3.0. No changes needed
  * Ensure we support the new matmul ufunc in numpy 1.16. Closes: #917466
  * Add sphinx-astropy build dependency
  * Remove outdated paragraphs from d/copyright

 -- Ole Streicher <olebole@debian.org>  Wed, 26 Dec 2018 21:09:53 +0100
