=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3,
+Build-Depends: cython3 (>= 0.21),
                debhelper (>= 11),
                dh-python,
                graphviz,
@@ -16,9 +16,10 @@
                pkg-config,
                python3-all-dev,
                python3-astropy-helpers (>= 3~),
+               python3-astropy-sphinx-theme,
                python3-configobj,
                python3-h5py,
-               python3-jinja2,
+               python3-jinja2 (>= 2.7),
                python3-matplotlib,
                python3-nose,
                python3-numpy (>= 1:1.10),
@@ -30,10 +31,11 @@
                python3-setuptools (>= 0.6.4),
                python3-six (>= 1.10.0),
                python3-sphinx (>= 1.3),
+               python3-sphinx-astropy,
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
@@ -42,12 +44,13 @@
 Package: python3-astropy
 Architecture: any
 Depends: python3-configobj,
+         python3-distutils,
          python3-pytest (>= 3.1),
          python3-pytest-astropy,
          python3-six (>= 1.10.0),
          ${misc:Depends},
+         ${python3-ply:Depends},
          ${python3:Depends},
-         ${python3-ply:Depends},
          ${shlibs:Depends}
 Suggests: libxml2-utils,
           python-astropy-doc,
@@ -56,11 +59,11 @@
           python3-h5py,
           python3-matplotlib,
           python3-pandas,
-          python3-scipy,
           python3-tz,
           python3-yaml
 Recommends: libjs-jquery,
-            libjs-jquery-datatables
+            libjs-jquery-datatables,
+            python3-scipy
 Description: Core functionality for performing astrophysics with Python
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.
