## astropy 3.1.2

=== debian/changelog ===
astropy (3.1.2-2) unstable; urgency=medium

  * Fix problem with tables on big endian archs

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Feb 2019 22:39:47 +0100

astropy (3.1.2-1) unstable; urgency=low

  * Add gitlab-ci.yml
  * New upstream bugfix version 3.1.2. Rediff patches
  * Push compat to 12

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Feb 2019 20:20:50 +0100
