=== debian/tests/control ===
Tests: python3-astropy
Depends: python3-astropy, python3-scipy
Restrictions: allow-stderr
