## astropy 3.2.1

=== debian/changelog ===
astropy (3.2.1-1build1) eoan; urgency=medium

  * No-change rebuild against libcfitsio8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Aug 2019 05:46:31 +0000

astropy (3.2.1-1) unstable; urgency=low

  * New regular upstream version 3.2.1. Switch back to unstable.
  * Rediff patches. Drop test_absolute_times (applied upstream)
  * Adjust min version for numpy to 1.13
  * Push Standards-Version to 4.4.0. No changes needed.
  * Update removal of external package copies

 -- Ole Streicher <olebole@debian.org>  Tue, 09 Jul 2019 15:26:15 +0200

astropy (3.2~rc1-2) experimental; urgency=medium

  * Fix test_absolute_times in BLS periodogram test suite on i386

 -- Ole Streicher <olebole@debian.org>  Wed, 15 May 2019 15:14:04 +0200

astropy (3.2~rc1-1) experimental; urgency=medium

  * New upstream version 3.2~rc1
  * Rediff patches
  * Add --offline option to setup.py
  * Require helpers >= 3.2

 -- Ole Streicher <olebole@debian.org>  Mon, 13 May 2019 16:19:23 +0200
