=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: astropy
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython3 (>= 0.21),
-               debhelper (>= 11),
+               debhelper (>= 12),
                dh-python,
                graphviz,
                libcfitsio-dev | libcfitsio3-dev,
@@ -15,14 +16,14 @@
                libjs-mathjax,
                pkg-config,
                python3-all-dev,
-               python3-astropy-helpers (>= 3~),
+               python3-astropy-helpers (>= 3.2~),
                python3-astropy-sphinx-theme,
                python3-configobj,
                python3-h5py,
                python3-jinja2 (>= 2.7),
                python3-matplotlib,
                python3-nose,
-               python3-numpy (>= 1:1.10),
+               python3-numpy (>= 1:1.13),
                python3-ply (>= 3.5),
                python3-pytest (>= 3.1),
                python3-pytest-astropy,
@@ -35,7 +36,7 @@
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
