## astropy 4.0

=== debian/changelog ===
astropy (4.0-4ubuntu1) focal; urgency=medium

  * Ignore errors building the documentation for the examples.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2020 23:03:34 +0100

astropy (4.0-4) unstable; urgency=medium

  * Update WCSLIB to version 7.1
  * Weaken leap second validity requirement for tests
  * Remove intersphinx mapping

 -- Ole Streicher <olebole@debian.org>  Thu, 20 Feb 2020 20:58:00 +0100

astropy (4.0-3) unstable; urgency=medium

  * Add breaks for astroquery, gwcs, specutils

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Jan 2020 14:29:24 +0100

astropy (4.0-2) unstable; urgency=low

  * Make some votable tests xfail that fail under mips64el

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Dec 2019 13:57:24 +0100

astropy (4.0-1) unstable; urgency=low

  * New upstream version 4.0. Switch back to unstable
  * Drop patches that were applied upstream
  * Don't turn deprecation warnings into errors

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Dec 2019 10:21:40 +0100

astropy (4.0~rc2-2) experimental; urgency=medium

  * Invoke Pytest in CI test command
  * Ignore RuntimeWarning in MIPS
  * Disable failing test on amd64 and mips64el

 -- Ole Streicher <olebole@debian.org>  Wed, 11 Dec 2019 10:51:00 +0100

astropy (4.0~rc2-1) experimental; urgency=medium

  * New upstream version 4.0~rc2
  * Rediff patches
  * Changed ERANGE check in xstrtod to >= |HUGE_VAL|

 -- Ole Streicher <olebole@debian.org>  Mon, 09 Dec 2019 15:35:39 +0100

astropy (4.0~rc1-2) experimental; urgency=medium

  * Ignore Matplotlib deprecation warning in conftest.py
  * Avoid warning for invalid number for np.sign

 -- Ole Streicher <olebole@debian.org>  Fri, 06 Dec 2019 09:29:54 +0100

astropy (4.0~rc1-1) experimental; urgency=medium

  * New upstream version 4.0~rc1. Rediff patches
  * Depend on (experimental) extended erfa version
  * Ignore deprecation errors
  * Fix generation of units parser lexer

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Nov 2019 08:33:29 +0100

astropy (3.2.3-3) unstable; urgency=medium

  * Disable failing tests

 -- Ole Streicher <olebole@debian.org>  Sat, 23 Nov 2019 13:31:28 +0100

astropy (3.2.3-2) unstable; urgency=medium

  * Ignore deprecation failures in test (Closes: #944101)
  * Add a Breaks for previous versions of astroplan (Closes: #933102)

 -- Ole Streicher <olebole@debian.org>  Fri, 22 Nov 2019 21:35:00 +0100

astropy (3.2.3-1) unstable; urgency=low

  * New upstream version 3.2.3. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Nov 2019 08:55:15 +0100

astropy (3.2.2-1) unstable; urgency=low

  * New upstream version 3.2.2. Rediff patches
  * Push Standards-Version to 4.4.1. No changes needed
  * Push compat to 12. Remove d/compat
  * Allow XFAIL tests to pass
  * Remove outdated X-Python3-Version field from d/control

 -- Ole Streicher <olebole@debian.org>  Sun, 13 Oct 2019 07:09:35 +0200
