=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: astropy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython3 (>= 0.21),
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python,
                graphviz,
                libcfitsio-dev | libcfitsio3-dev,
-               liberfa-dev (>= 1.1.0),
+               liberfa-dev (>= 1.6.0-3),
                libexpat1-dev,
                libjs-jquery,
                libjs-jquery-datatables,
@@ -36,11 +35,10 @@
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
-X-Python3-Version: >= 3.5
 
 Package: python3-astropy
 Architecture: any
@@ -65,6 +63,10 @@
 Recommends: libjs-jquery,
             libjs-jquery-datatables,
             python3-scipy
+Breaks: python3-astroplan (<< 0.5~),
+        python3-astroquery (<< 0.3.10+dfsg-2~),
+        python3-gwcs (<< 0.12~),
+        python3-specutils (<< 0.7~)
 Description: Core functionality for performing astrophysics with Python
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.
