=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 
 # Generate PLY files
 export PYBUILD_AFTER_BUILD=cd {build_dir}; python{version} -c 'import astropy.coordinates; astropy.coordinates.angle_utilities.parse_angle("0°"); import astropy.units.format; astropy.units.format.CDS.parse("m/s"); astropy.units.format.Generic.parse("m"); astropy.units.format.OGIP.parse("m/s")'
+export PYBUILD_CLEAN_ARGS=--offline
+export PYBUILD_CONFIGURE_ARGS=--offline
+export PYBUILD_BUILD_ARGS=--offline
+export PYBUILD_INSTALL_ARGS=--offline
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -20,7 +24,7 @@
 	dh_numpy3
 
 override_dh_installdocs-indep:
-	PYTHONPATH=$(CURDIR)/debian python3 setup.py build_docs
+	-PYTHONPATH=$(CURDIR)/debian python3 setup.py build_docs
 	dh_installdocs
 
 override_dh_sphinxdoc-arch:
@@ -31,7 +35,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf astropy/extern/configobj
 	rm -rf build astropy.egg-info
 	rm -rf astropy_helpers-*.egg
 	rm -rf docs/_build docs/_generated
