## astropy 4.0.1+post1

=== debian/changelog ===
astropy (4.0.1+post1-4ubuntu3) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:46:56 +0100

astropy (4.0.1+post1-4ubuntu2) groovy; urgency=medium

  * More work on autopkgtest:
    - Drop debian/patches/Weaken-leap-second-validity-requirement-for-tests.patch
    - Backport debian/patches/Skip-if-sys-file-expired-even-when-not-on-CI.patch 
      from upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 17 Aug 2020 21:46:21 +1200

astropy (4.0.1+post1-4ubuntu1) groovy; urgency=medium

  * Update leap second and iers tables, fixing autopkgtests. (Closes: #966713)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 17 Aug 2020 16:05:31 +1200

astropy (4.0.1+post1-4) unstable; urgency=medium

  * Fix stats doctest failures due to upstream changes. (Closes: #967965)

 -- Ole Streicher <olebole@debian.org>  Thu, 06 Aug 2020 14:30:26 +0200

astropy (4.0.1+post1-3) unstable; urgency=medium

  * Don't check return value of fitscheck. Closes: #963816

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Jul 2020 15:32:32 +0200

astropy (4.0.1+post1-2) unstable; urgency=medium

  * Exclude asdf subdir from testing
  * Update WCSLIB compatibility to v7.3

 -- Ole Streicher <olebole@debian.org>  Sun, 14 Jun 2020 14:48:12 +0200

astropy (4.0.1+post1-1) unstable; urgency=medium

  * New upstream version 4.0.1+post1. Rediff patches
  * Use sphinx-automodapi provided by the system (Closes: #959581)

 -- Ole Streicher <olebole@debian.org>  Wed, 06 May 2020 18:10:50 +0200
