=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: astropy
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
@@ -32,6 +33,7 @@
                python3-six (>= 1.10.0),
                python3-sphinx (>= 1.3),
                python3-sphinx-astropy,
+               python3-sphinx-automodapi,
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
