=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_numpy3
 
 override_dh_installdocs-indep:
-	-PYTHONPATH=$(CURDIR)/debian python3 setup.py build_docs
+	PYTHONPATH=$(CURDIR)/debian python3 setup.py build_docs
 	dh_installdocs
 
 override_dh_sphinxdoc-arch:
