## astropy 4.1

=== debian/changelog ===
astropy (4.1-2) unstable; urgency=medium

  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Oct 2020 12:51:24 +0100

astropy (4.1-1) experimental; urgency=medium

  * Remove upstream GPG key
  * New upstream version 4.1. Rediff patches
  * Remove leading slash in d/not-installed entry

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Oct 2020 09:25:31 +0100

astropy (4.1~rc2-4) experimental; urgency=medium

  * Replace local fix for Skip flaky modeling test with upstream patch
  * Skip test_timer (obsolete) which failed once on s390x

 -- Ole Streicher <olebole@debian.org>  Wed, 14 Oct 2020 08:29:53 +0200

astropy (4.1~rc2-3) experimental; urgency=medium

  * Mark test_compound_fitting_with_units as xfail
  * Unconditionally skip wcsapi test if compilation fails

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Oct 2020 11:44:01 +0200

astropy (4.1~rc2-2) experimental; urgency=medium

  * Never use setuptools_scm except when importing astropy from within
    a checkout of the git repository
  * Temporarily allow "make docs" to fail
  * Allow file not to be installed
  * Add _version.py to d/clean

 -- Ole Streicher <olebole@debian.org>  Mon, 12 Oct 2020 20:46:32 +0200

astropy (4.1~rc2-1) experimental; urgency=low

  * New upstream version 4.1~rc2. Rediff patches
  * Add "Rules-Requires-Root: no" to d/control
  * Remove outdated source lintian-override
  * Remove unused wildcard in d/copyright
  * Push dh-compat to 13. Create d/not-installed file

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Sep 2020 09:39:25 +0200

astropy (4.1~rc1-2) experimental; urgency=medium

  * Update WCSLIB compatibility to v7.3

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Jun 2020 21:26:07 +0200

astropy (4.1~rc1-1) experimental; urgency=low

  * New upstream RC version 4.1~rc1. Switch to experimental.
  * Rediff patches
  * Use environment variable to specify usage of system libs
  * Push Standards-Version to 4.5.0. No changes needed
  * Remove outdated version numbers from (build) dependencies
  * Make setuptools-scm happy
  * Remove '--offline' argument of setup.py
  * Replace astropy-helpers build dep by extension-helpers
  * Don't run erfa generator script during build
  * Make test_wtbarr_print xfail
  * *** Don't build API docs for the moment ***
  * Exclude test_tab.py from files to handle with ply

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Jun 2020 16:31:38 +0200
