=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: astropy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3 (>= 0.21),
-               debhelper-compat (= 12),
+Build-Depends: cython3,
+               debhelper-compat (= 13),
                dh-python,
                graphviz,
                libcfitsio-dev | libcfitsio3-dev,
@@ -16,11 +15,11 @@
                libjs-mathjax,
                pkg-config,
                python3-all-dev,
-               python3-astropy-helpers (>= 3.2~),
                python3-astropy-sphinx-theme,
                python3-configobj,
+               python3-extension-helpers,
                python3-h5py,
-               python3-jinja2 (>= 2.7),
+               python3-jinja2,
                python3-matplotlib,
                python3-nose,
                python3-numpy (>= 1:1.13),
@@ -29,7 +28,8 @@
                python3-pytest-astropy,
                python3-pytest-mpl,
                python3-scipy,
-               python3-setuptools (>= 0.6.4),
+               python3-setuptools,
+               python3-setuptools-scm,
                python3-six (>= 1.10.0),
                python3-sphinx (>= 1.3),
                python3-sphinx-astropy,
@@ -37,10 +37,11 @@
                python3-yaml,
                wcslib-dev (>= 5.8),
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
+Rules-Requires-Root: no
 
 Package: python3-astropy
 Architecture: any
@@ -53,18 +54,18 @@
          ${python3-ply:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Recommends: libjs-jquery,
+            libjs-jquery-datatables,
+            python3-scipy
 Suggests: libxml2-utils,
           python-astropy-doc,
           python3-astropy-affiliated,
-          python3-beautifulsoup,
+          python3-bs4,
           python3-h5py,
           python3-matplotlib,
           python3-pandas,
           python3-tz,
           python3-yaml
-Recommends: libjs-jquery,
-            libjs-jquery-datatables,
-            python3-scipy
 Breaks: python3-astroplan (<< 0.5~),
         python3-astroquery (<< 0.3.10+dfsg-2~),
         python3-gwcs (<< 0.12~),
@@ -97,12 +98,8 @@
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
-Breaks: fitscheck (<< 1:3.1.2-1~),
-        pyfits-utils (<<1:3.3-4~),
-        python-pyfits (<< 1:3.0.7-4~)
-Replaces: fitscheck (<< 1:3.1.2-1~),
-          pyfits-utils (<<1:3.3-4~),
-          python-pyfits (<< 1:3.0.7-4~)
+Breaks: pyfits-utils (<<1:3.3-4~)
+Replaces: pyfits-utils (<<1:3.3-4~)
 Description: Command line tools from astropy
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.
